## mingw-w64-kdenlive-25.08.0-2.src.tar.zst

=== data/transitions/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Jean-Baptiste Mardelle <jb@kdenlive.org>, Julius Künzel <julius.kuenzel@kde.org>

INSTALL (FILES 
affine.xml
composite.xml
dissolve.xml
luma.xml
matte.xml
mix.xml
qtblend.xml
region.xml
slide.xml
vqm.xml
wipe.xml

DESTINATION ${KDE_INSTALL_DATADIR}${DATA_INSTALL_PREFIX}/transitions)

add_subdirectory(frei0r)

=== src/assets/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Nicolas Carion <french.ebook.lover@gmail.com>, Jean-Baptiste Mardelle <jb@kdenlive.org>

set(kdenlive_SRCS
  ${kdenlive_SRCS}
  assets/assetlist/view/asseticonprovider.cpp
  assets/assetlist/view/assetlistwidget.cpp
  assets/assetlist/model/assetfilter.cpp
  assets/assetlist/model/assettreemodel.cpp
  assets/assetpanel.cpp
  assets/bpoint.cpp
  assets/keyframes/model/automask/automaskhelper.cpp
  assets/keyframes/model/keyframemonitorhelper.cpp
  assets/keyframes/model/rotoscoping/rotohelper.cpp
  assets/keyframes/model/corners/cornershelper.cpp
  assets/keyframes/model/rect/recthelper.cpp
  assets/keyframes/model/keyframemodel.cpp
  assets/keyframes/model/keyframemodellist.cpp
  assets/keyframes/view/keyframeview.cpp
  assets/model/assetparametermodel.cpp
  assets/model/assetcommand.cpp
  assets/view/assetparameterview.cpp
  assets/view/widgets/abstractparamwidget.cpp
  assets/view/widgets/boolparamwidget.cpp
  assets/view/widgets/buttonparamwidget.cpp
  assets/view/widgets/switchparamwidget.cpp
  assets/view/widgets/multiswitchparamwidget.cpp
  assets/view/widgets/effectbuttonsparamwidget.cpp
  assets/view/widgets/urllistparamwidget.cpp
  assets/view/widgets/urlparamwidget.cpp
  assets/view/widgets/doubleparamwidget.cpp
  assets/view/widgets/colorwheel.cpp
  assets/view/widgets/slidewidget.cpp
  assets/view/widgets/lumaliftgainparam.cpp
  assets/view/widgets/keyframeimport.cpp
  assets/view/widgets/keyframecontainer.cpp
  assets/view/widgets/listparamwidget.cpp
  assets/view/widgets/listdependencyparamwidget.cpp
  assets/view/widgets/geometryeditwidget.cpp
  assets/view/widgets/positioneditwidget.cpp
  assets/view/widgets/coloreditwidget.cpp
  assets/view/widgets/hideparamwidget.cpp
  assets/view/widgets/clickablelabelwidget.cpp
  assets/view/widgets/fontparamwidget.cpp
  assets/view/widgets/keywordparamwidget.cpp
  # curves widget
  assets/view/widgets/curves/abstractcurvewidget.h
  assets/view/widgets/curves/bezier/beziersplineeditor.cpp
  assets/view/widgets/curves/bezier/cubicbezierspline.cpp
  assets/view/widgets/curves/keyframe/keyframecurveeditor.cpp
  assets/view/widgets/curves/cubic/kis_curve_widget.cpp
  assets/view/widgets/curves/cubic/kis_cubic_curve.cpp
  PARENT_SCOPE)

=== PKGBUILD ===

_realname=kdenlive
pkgbase=mingw-w64-${_realname}
pkgname="${MINGW_PACKAGE_PREFIX}-${_realname}"
pkgver=25.08.0
pkgrel=2
pkgdesc="A non-linear video editor for Linux using the MLT video framework (mingw-w64)"
arch=('any')
mingw_arch=('ucrt64' 'clang64' 'clangarm64')
msys2_references=(
  'archlinux: kdenlive'
)
msys2_repository_url='https://invent.kde.org/multimedia/kdenlive/'
url="https://kdenlive.org/"
license=("spdx:GPL-3.0-only")
makedepends=(
  "${MINGW_PACKAGE_PREFIX}-cc"
  "${MINGW_PACKAGE_PREFIX}-extra-cmake-modules"
  "${MINGW_PACKAGE_PREFIX}-icoutils"
  "${MINGW_PACKAGE_PREFIX}-qt6-tools"
)
depends=(
  "${MINGW_PACKAGE_PREFIX}-breeze-icons"
  "${MINGW_PACKAGE_PREFIX}-frei0r-plugins"
  "${MINGW_PACKAGE_PREFIX}-karchive"
  "${MINGW_PACKAGE_PREFIX}-kbookmarks"
  "${MINGW_PACKAGE_PREFIX}-kcodecs"
  "${MINGW_PACKAGE_PREFIX}-kcolorscheme"
  "${MINGW_PACKAGE_PREFIX}-kcompletion"
  "${MINGW_PACKAGE_PREFIX}-kconfig"
  "${MINGW_PACKAGE_PREFIX}-kconfigwidgets"
  "${MINGW_PACKAGE_PREFIX}-kcoreaddons"
  "${MINGW_PACKAGE_PREFIX}-kcrash"
  "${MINGW_PACKAGE_PREFIX}-kfilemetadata"
  "${MINGW_PACKAGE_PREFIX}-kguiaddons"
  "${MINGW_PACKAGE_PREFIX}-ki18n"
  "${MINGW_PACKAGE_PREFIX}-kiconthemes"
  "${MINGW_PACKAGE_PREFIX}-kio"
  "${MINGW_PACKAGE_PREFIX}-kitemviews"
  "${MINGW_PACKAGE_PREFIX}-knewstuff"
  "${MINGW_PACKAGE_PREFIX}-knotifications"
  "${MINGW_PACKAGE_PREFIX}-knotifyconfig"
  "${MINGW_PACKAGE_PREFIX}-ktextwidgets"
  "${MINGW_PACKAGE_PREFIX}-kwidgetsaddons"
  "${MINGW_PACKAGE_PREFIX}-kxmlgui"
  "${MINGW_PACKAGE_PREFIX}-mlt"
  "${MINGW_PACKAGE_PREFIX}-opentimelineio"
  "${MINGW_PACKAGE_PREFIX}-purpose"
  "${MINGW_PACKAGE_PREFIX}-shared-mime-info"
  "${MINGW_PACKAGE_PREFIX}-qqc2-desktop-style"
  "${MINGW_PACKAGE_PREFIX}-qt6-base"
  "${MINGW_PACKAGE_PREFIX}-qt6-declarative"
  "${MINGW_PACKAGE_PREFIX}-qt6-multimedia"
  "${MINGW_PACKAGE_PREFIX}-qt6-networkauth"
  "${MINGW_PACKAGE_PREFIX}-qt6-svg"
  "${MINGW_PACKAGE_PREFIX}-solid"
)
optdepends=(
  "${MINGW_PACKAGE_PREFIX}-ffmpeg: For FFmpeg plugin"
  "${MINGW_PACKAGE_PREFIX}-mediainfo: For technical clip information"
  "${MINGW_PACKAGE_PREFIX}-opencv: For motion tracking"
)
source=("https://download.kde.org/stable/release-service/${pkgver}/src/${_realname}-$pkgver.tar.xz"{,.sig})
sha256sums=('f86206b9f86fe5693121723d0bb1750f96c295e9b6c7eb1fea2b408f56cc30d6'
            'SKIP')
validpgpkeys=(CA262C6C83DE4D2FB28A332A3A6A4DB839EAA6D7  # Albert Astals Cid <aacid@kde.org>
              F23275E4BF10AFC1DF6914A6DBD2CE893E2D1C87  # Christoph Feck <cfeck@kde.org>
              D81C0CB38EB725EF6691C385BB463350D6EF31EF) # Heiko Becker <heiko.becker@kde.org>
#options=("!strip" "debug")

apply_patch_with_msg() {
  for _patch in "$@"
  do
    msg2 "Applying $_patch"
    patch -Nbp1 -i "${srcdir}/$_patch"
  done
}

build() {
  mkdir -p "${srcdir}/build-${MSYSTEM}" && cd "${srcdir}/build-${MSYSTEM}"

  declare -a _extra_config
  if check_option "debug" "n"; then
    _extra_config+=("-DCMAKE_BUILD_TYPE=Release")
  else
    _extra_config+=("-DCMAKE_BUILD_TYPE=Debug")
  fi

  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
  ${MINGW_PREFIX}/bin/cmake \
    -DCMAKE_INSTALL_PREFIX=${MINGW_PREFIX} \
    -GNinja \
    "${_extra_config[@]}" \
    -DBUILD_TESTING="OFF" \
    -DBUILD_QCH="OFF" \
    -DKDE_INSTALL_USE_QT_SYS_PATHS="OFF" \
    -DFETCH_OTIO="OFF" \
    -DUSE_DBUS="OFF" \
    ../${_realname}-${pkgver}

  ${MINGW_PREFIX}/bin/cmake --build .
}

package() {
  cd "${srcdir}/build-${MSYSTEM}"

  DESTDIR="${pkgdir}" ${MINGW_PREFIX}/bin/cmake.exe --install .

  # Move documentation to the correct location
  rm -rf "${pkgdir}${MINGW_PREFIX}/bin/data/doc"
  install -vDm 644 "${srcdir}"/${_realname}-${pkgver}/{AUTHORS,README.md} -t "${pkgdir}${MINGW_PREFIX}/share/doc/$_realname/"  
  install -vDm 644 "${srcdir}"/${_realname}-${pkgver}/LICENSES/* -t "${pkgdir}${MINGW_PREFIX}/share/licenses/$_realname/"
}
